Package com.ngrok.definitions

# Class EndpointTlsTerminationAtEdge.Builder

java.lang.Object
com.ngrok.definitions.EndpointTlsTerminationAtEdge.Builder

Enclosing class:
  EndpointTlsTerminationAtEdge

public static class EndpointTlsTerminationAtEdge.Builder extends Object
Builder class for `EndpointTlsTerminationAtEdge`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndpointTlsTerminationAtEdge`
  `build()`
  Constructs the `EndpointTlsTerminationAtEdge` instance.
  `EndpointTlsTerminationAtEdge.Builder`
  `enabled(boolean enabled)`
  `true` if the module will be applied to traffic, `false` to disable.
  `EndpointTlsTerminationAtEdge.Builder`
  `enabled(Optional<Boolean> enabled)`
  `true` if the module will be applied to traffic, `false` to disable.
  `EndpointTlsTerminationAtEdge.Builder`
  `minVersion(String minVersion)`
  The minimum TLS version used for termination and advertised to the client during the TLS handshake.
  `EndpointTlsTerminationAtEdge.Builder`
  `minVersion(Optional<String> minVersion)`
  The minimum TLS version used for termination and advertised to the client during the TLS handshake.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### enabled

    public EndpointTlsTerminationAtEdge.Builder enabled(boolean enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`
    Returns:
      this builder instance

  - ### enabled

    public EndpointTlsTerminationAtEdge.Builder enabled(Optional<Boolean> enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### minVersion

    public EndpointTlsTerminationAtEdge.Builder minVersion(String minVersion)
    The minimum TLS version used for termination and advertised to the client during the TLS handshake. if unspecified, ngrok will choose an industry-safe default. This value must be null if `terminate_at` is set to `upstream`.
    Parameters:
      `minVersion` - the value of the `min_version` parameter as a `String`
    Returns:
      this builder instance

  - ### minVersion

    public EndpointTlsTerminationAtEdge.Builder minVersion(Optional<String> minVersion)
    The minimum TLS version used for termination and advertised to the client during the TLS handshake. if unspecified, ngrok will choose an industry-safe default. This value must be null if `terminate_at` is set to `upstream`.
    Parameters:
      `minVersion` - the value of the `min_version` parameter as a `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public EndpointTlsTerminationAtEdge build()
    Constructs the `EndpointTlsTerminationAtEdge` instance.
    Returns:
      a new `EndpointTlsTerminationAtEdge`